## triforce-lv2 0.2.0

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2024 James Calligeros <jcalligeros99@gmail.com>

PREFIX ?= /usr/local
LIBDIR ?= $(PREFIX)/lib64

default:
	cargo build --release

install:
	install -dDm0755 $(DESTDIR)/$(LIBDIR)/lv2/triforce.lv2/
	install -pm0755 target/release/libtriforce.so $(DESTDIR)/$(LIBDIR)/lv2/triforce.lv2/triforce.so
	install -pm0644 triforce.ttl $(DESTDIR)/$(LIBDIR)/lv2/triforce.lv2/triforce.ttl
	install -pm0644 manifest.ttl $(DESTDIR)/$(LIBDIR)/lv2/triforce.lv2/manifest.ttl

uninstall:
	rm -rf $(DESTDIR)/$(LIBDIR)/lv2/triforce.lv2/

## triforce-lv2 0.1.1

=== debian/changelog ===
triforce-lv2 (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 14 Feb 2025 13:38:42 +0100

triforce-lv2 (0.1.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1094303)

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 26 Jan 2025 23:52:10 +0100

=== debian/control ===
Source: triforce-lv2
Section: sound
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 librust-lv2-0.6+default-dev,
 librust-nalgebra-0.33+default-dev (>= 0.33.2-~~),
 librust-rustfft-6+default-dev (>= 6.2.0-~~),
 libstd-rust-dev,
 rustc:native,
Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
Uploaders:
 NoisyCoil <noisycoil@tutanota.com>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/bananas-team/triforce-lv2.git
Vcs-Browser: https://salsa.debian.org/bananas-team/triforce-lv2
Homepage: https://github.com/chadmed/triforce
X-Cargo-Crate: triforce-lv2
Rules-Requires-Root: no

Package: triforce-lv2
Architecture: arm64
Multi-Arch: foreign
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cargo:Recommends},
Suggests:
 ${cargo:Suggests},
Provides:
 ${cargo:Provides},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using: ${cargo:Static-Built-Using}
Description: LV2 beamformer plugin for Apple mic arrays
 Some Apple Silicon laptops have an array of microphones arranged in a
 triangle. Without beamforming, the array is far too sensitive and
 omnidirectional to be at all useful.
 .
 triforce implements a Minimum Variance Distortionless Response adaptive
 beamformer for these microphone arrays.

## triforce-lv2 0.2.0

=== debian/changelog ===
triforce-lv2 (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: update package description.

 -- NoisyCoil <noisycoil@tutanota.com>  Mon, 17 Feb 2025 22:19:19 +0100

=== debian/control ===
--- 
+++ 
@@ -37,9 +37,9 @@
  ${cargo:Built-Using},
 Static-Built-Using: ${cargo:Static-Built-Using}
 Description: LV2 beamformer plugin for Apple mic arrays
- Some Apple Silicon laptops have an array of microphones arranged in a
- triangle. Without beamforming, the array is far too sensitive and
- omnidirectional to be at all useful.
+ Some Apple Silicon laptops have an array of microphones arranged either
+ in a triangle or in a straight line. Without beamforming, the array is
+ far too sensitive and omnidirectional to be at all useful.
  .
  triforce implements a Minimum Variance Distortionless Response adaptive
  beamformer for these microphone arrays.

=== debian/watch ===
version=4

opts="searchmode=plain,\
 filenamemangle=s%@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
 https://api.github.com/repos/chadmed/triforce/tags?per_page=50 \
 https://api.github.com/repos/[^/]+/[^/]+/tarball/[^/]+/[^/]+/@ANY_VERSION@

## triforce-lv2 0.2.1

=== debian/changelog ===
triforce-lv2 (0.2.1-2) unstable; urgency=medium

  * d/control: declare compliance with Standards-Version 4.7.2

 -- NoisyCoil <noisycoil@tutanota.com>  Mon, 31 Mar 2025 02:34:59 +0200

triforce-lv2 (0.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 30 Mar 2025 16:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
 Uploaders:
  NoisyCoil <noisycoil@tutanota.com>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/bananas-team/triforce-lv2.git
 Vcs-Browser: https://salsa.debian.org/bananas-team/triforce-lv2
 Homepage: https://github.com/chadmed/triforce

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/rustc/architecture.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
        NUMJOBS = 1
endif

CARGO_BUILD_FLAGS = \
	--release \
	--target $(DEB_HOST_RUST_TYPE) \
	--offline \
	-v \
	-j $(NUMJOBS)

%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	dh_auto_test -- test --all


execute_after_dh_auto_build:
	CARGO_HOME=debian/cargo_home \
		/usr/share/cargo/bin/cargo build $(CARGO_BUILD_FLAGS)

override_dh_auto_install:
	# generate substvars since we override dh_auto_install from dh-cargo.
	/usr/share/cargo/bin/dh-cargo-built-using triforce-lv2
	# install using upstream Makefile. Work around --target usage.
	ln target/$(DEB_HOST_RUST_TYPE)/release/libtriforce.so target/release/libtriforce.so
	$(MAKE) install DESTDIR=debian/triforce-lv2 LIBDIR=/usr/lib
	rm -f target/release/libtriforce.so

## triforce-lv2 0.3.2

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,10 @@
 default:
 	cargo build --release
 
+performance-test:
+	cargo build --release --example performance_test
+	hyperfine -w 3 -- 'target/release/examples/performance_test 600'
+
 install:
 	install -dDm0755 $(DESTDIR)/$(LIBDIR)/lv2/triforce.lv2/
 	install -pm0755 target/release/libtriforce.so $(DESTDIR)/$(LIBDIR)/lv2/triforce.lv2/triforce.so

=== debian/changelog ===
triforce-lv2 (0.3.2-5) unstable; urgency=medium

  * Change my email address to @debian.org

 -- NoisyCoil <noisycoil@debian.org>  Fri, 29 Aug 2025 21:28:49 +0200

triforce-lv2 (0.3.2-4) unstable; urgency=medium

  * Upload to unstable

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 10 Aug 2025 18:53:02 +0200

triforce-lv2 (0.3.2-3) experimental; urgency=medium

  * Enable amd64 builds

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 10 Aug 2025 14:13:21 +0200

triforce-lv2 (0.3.2-2) unstable; urgency=medium

  * Upload to unstable

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 10 Aug 2025 14:11:59 +0200

triforce-lv2 (0.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 17 May 2025 11:14:05 +0200

triforce-lv2 (0.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 10 May 2025 15:19:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  rustc:native,
 Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
 Uploaders:
- NoisyCoil <noisycoil@tutanota.com>,
+ NoisyCoil <noisycoil@debian.org>,
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/bananas-team/triforce-lv2.git
 Vcs-Browser: https://salsa.debian.org/bananas-team/triforce-lv2
@@ -21,7 +21,7 @@
 Rules-Requires-Root: no
 
 Package: triforce-lv2
-Architecture: arm64
+Architecture: arm64 amd64
 Multi-Arch: foreign
 Depends:
  ${cargo:Depends},
